Description: Fix linking flags order.
Author: Alessio Treglia <alessio@debian.org>
Forwarded: no
---
 Makefile |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

--- masscan.orig/Makefile
+++ masscan/Makefile
@@ -69,14 +69,14 @@ endif
 CC = gcc
 
 DEFINES = 
-CFLAGS = -g -ggdb $(FLAGS2) $(INCLUDES) $(DEFINES) -Wall -O3
+CFLAGS += $(FLAGS2) $(INCLUDES) $(DEFINES) -Wall
 .SUFFIXES: .c .cpp
 
 all: bin/masscan 
 
 
 tmp/main-conf.o: src/main-conf.c src/*.h
-	$(CC) $(CFLAGS) -c $< -o $@ -DGIT=\"$(GITVER)\"
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $@ -DGIT=\"$(GITVER)\"
 
 
 # just compile everything in the 'src' directory. Using this technique
@@ -84,7 +84,7 @@ tmp/main-conf.o: src/main-conf.c src/*.h
 # the program crashes unexpectedly, 'make clean' then 'make' fixes the
 # problem that a .h file was out of date
 tmp/%.o: src/%.c src/*.h
-	$(CC) $(CFLAGS) -c $< -o $@
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $@
 
 
 SRC = $(wildcard src/*.c)
@@ -92,7 +92,7 @@ OBJ = $(addprefix tmp/, $(notdir $(addsu
 
 
 bin/masscan: $(OBJ)
-	$(CC) $(CFLAGS) -o $@ $(OBJ) $(LDFLAGS) $(LIBS)
+	$(CC) $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -o $@ $(OBJ) $(LIBS)
 
 clean:
 	rm -f tmp/*.o
